hpp-constraints: hpp::constraints::FunctionExp< FunctionType > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::constraints::FunctionExp< FunctionType > Class Template Reference
Symbolic calculus

Basic expression mapping a function as an expression. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::FunctionExp< FunctionType >:
[legend]
Collaboration diagram for hpp::constraints::FunctionExp< FunctionType >:
[legend]

## Public Types
typedef CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t > | Parent_t
typedef shared_ptr< FunctionType > | FunctionTypePtr_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| HPP_CONSTRAINTS_CB_CREATE1 (FunctionExp< FunctionType >, const FunctionTypePtr_t &) FunctionExp()
| FunctionExp (const Parent_t &other)
| FunctionExp (const FunctionExp &other)
| FunctionExp (const FunctionTypePtr_t &func)
void | impl_value (const ConfigurationIn_t arg)
void | impl_jacobian (const ConfigurationIn_t arg)
Public Member Functions inherited from hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >
| CalculusBase ()
| CalculusBase (const vector_t &value, const matrix_t &jacobian)
| CalculusBase (const CalculusBase &o)
const vector_t & | value () const
const matrix_t & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >
void | init (const typename Traits< FunctionExp< FunctionType > >::Ptr_t &ptr)
Protected Attributes inherited from hpp::constraints::CalculusBase< FunctionExp< FunctionType >, vector_t, matrix_t >
vector_t | value_
matrix_t | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Detailed Description

template<typename FunctionType>
class hpp::constraints::FunctionExp< FunctionType >

Basic expression mapping a function as an expression.

## Member Typedef Documentation

## ◆ FunctionTypePtr_t

template<typename FunctionType >

typedef shared_ptr<FunctionType> hpp::constraints::FunctionExp< FunctionType >::FunctionTypePtr_t

## ◆ Parent_t

template<typename FunctionType >

typedef CalculusBase<FunctionExp<FunctionType>, vector_t, matrix_t> hpp::constraints::FunctionExp< FunctionType >::Parent_t

## Constructor & Destructor Documentation

## ◆ FunctionExp() [1/3]

template<typename FunctionType >

hpp::constraints::FunctionExp< FunctionType >::FunctionExp | ( | const Parent_t & | other | ) |
| inline

## ◆ FunctionExp() [2/3]

template<typename FunctionType >

hpp::constraints::FunctionExp< FunctionType >::FunctionExp | ( | const FunctionExp< FunctionType > & | other | ) |
| inline

## ◆ FunctionExp() [3/3]

template<typename FunctionType >

hpp::constraints::FunctionExp< FunctionType >::FunctionExp | ( | const FunctionTypePtr_t & | func | ) |
| inline

Constructor

Parameters

  func | the inner function

## Member Function Documentation

## ◆ HPP_CONSTRAINTS_CB_CREATE1()

template<typename FunctionType >

hpp::constraints::FunctionExp< FunctionType >::HPP_CONSTRAINTS_CB_CREATE1 | ( | FunctionExp< FunctionType > | ,
|  | const FunctionTypePtr_t & | )
| inline

## ◆ impl_jacobian()

template<typename FunctionType >

void hpp::constraints::FunctionExp< FunctionType >::impl_jacobian | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ impl_value()

template<typename FunctionType >

void hpp::constraints::FunctionExp< FunctionType >::impl_value | ( | const ConfigurationIn_t | arg | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh